=== docs/Makefile ===
github_repo=git@github.com:AndreaCensi/contracts.git

include docs.mk
